明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 68|回复: 1

cad崩溃的问题

[复制链接]
发表于 2018-5-28 11:17 | 显示全部楼层 |阅读模式
创建一个UserController,在Controller中访问数据库,cad崩溃的问题。。求大神解惑。。。


        [CommandMethod("caishow")]
        public void ShowPaletter()
        {
            KgController kgController =new KgController();
            PaletteSet ps =new PaletteSet("控规面板");
            ps.Add("KG", kgController);
            ps.Visible = true;
        }



using (Transaction trans =cadDb.TransactionManager.StartTransaction())
            {
                BlockTable bt = (BlockTable)trans.GetObject(cadDb.BlockTableId, OpenMode.ForRead);
                BlockTableRecord btRecord = (BlockTableRecord)trans.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite);

                Polyline line =new Polyline();
                line.AddVertexAt(0,new Point2d(0,0),0,1,1);
                line.AddVertexAt(1, new Point2d(10, 10), 0, 1,1);

                btRecord.AppendEntity(line);
                trans.AddNewlyCreatedDBObject(line,true);

                trans.Commit();
            }




本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
 楼主| 发表于 2018-5-28 11:20 | 显示全部楼层
求解惑。使用的vs2010.。cad为2008中文版。.netFramework2.0..
自己顶顶。。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-6-21 19:46 , Processed in 0.398309 second(s), 28 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表